#ifndef SENDPROGRAMDIALOG_H
#define SENDPROGRAMDIALOG_H

#include "wprogrampublishitem.h"

class SendProgramDialog : public QWidget {
    Q_OBJECT
public:
    explicit SendProgramDialog(QWidget *parent = nullptr, QString strProgramName = "", QString strProgramPath = "");
protected:
    void closeEvent(QCloseEvent *event) override;
signals:
    void stopAllThd();
protected slots:
    void onRefresh();
    void FilterProgram(const QString &strtemp);
private:
    void sendNext();
    void onAddLedCard(LedCard *p);

    LoQTreeWidget *wDevicePublishList;
    int mWaitCnt{0};
    QLabel *label;

    QTreeWidgetItem *m_headerItem = nullptr;
    QString m_strProgramName;
    QString m_strProgramPath;
    QString m_strUrl;
};

#endif // SENDPROGRAMDIALOG_H
